<template>
<div>
  <vueApexChart width="500" type="bar" :options="options" :series="series"></vueApexChart>
</div>
</template>

<script>
 import vueApexChart from "vue3-apexcharts";


export default {
  
  mounted(){
    this.fetchDate();
  },
  components: {vueApexChart},
    data() {
    return {
      options: {
        chart: {
          id: 'vuechart-example'
        },
        xaxis: {
          categories: []
        }
      },
      series: [{
        data: []
      }],
      fetchingInterval: null
    }
},
  methods: {
    setFetchingInterval() {
      this.fetchingInterval = setInterval(() => this.$fetch(), 40000);
    },
    async fetchDate(){
      var data = await fetch(
        "http://127.0.0.1:5000/get_cluster_chart/?cluster=1&epsilon=1&min_pts=1",
        {
          method: "POST",
          headers: {
            "Content-Type": "application/json; charset=utf-8",
          },
        }
    ).then(response => {
      if (!response.ok) {
        throw new Error("Network request failed");
      }
      return response.json();
    });
    console.log(data);
    console.log(data.activities);
    console.log(data.chart_data);
    this.options.xaxis.categories = ['1','2','3','4','5']; 
    this.series.data = ['23','23','23','23','23'];

    var obj = {};
    obj.chart = {};
    obj.chart.id = this.options.chart.id;
    obj.xaxis = {};
    obj.xaxis.categories = data.activities;
    obj.dataLabels = {enabled : false}
    this.options = obj;

    var obj2 = [];
    obj2[0] = {name: "amount",
        data: data.chart_data}
      this.series = obj2;
    }
  },
  beforeDestroy() {
    clearInterval(this.fetchingInterval);
  }

}
</script>

<style lang="scss" scoped>

</style>